mult.hpp File Reference
`#include <cmath>`
`#include <climits>`
`#include <gecode/int/div.hh>`
`#include <gecode/int/support-values.hh>`

Go to the source code of this file.

## Namespaces

namespace | Gecode
| Gecode toplevel namespace
namespace | Gecode::Int
| Finite domain integers.
namespace | Gecode::Int::Arithmetic
| Numerical (arithmetic) propagators.

## Functions

long long int | Gecode::Int::Arithmetic::mll (long long int x, long long int y)
| Multiply x and \y.
long long int | Gecode::Int::Arithmetic::ll (int x)
| Cast x into a long long int.
long long int | Gecode::Int::Arithmetic::ill (int x)
| Increment x by one.
long long int | Gecode::Int::Arithmetic::dll (int x)
| Decrement x by one.
template<class View>
bool | Gecode::Int::Arithmetic::pos (const View &x)
| Test whether x is postive.
template<class View>
bool | Gecode::Int::Arithmetic::neg (const View &x)
| Test whether x is negative.
template<class View>
bool | Gecode::Int::Arithmetic::any (const View &x)
| Test whether x is neither positive nor negative.
template<class VA, class VB, class VC>
ExecStatus | Gecode::Int::Arithmetic::prop_mult_plus_bnd (Space &home, Propagator &p, VA x0, VB x1, VC x2)
template<class View>
ExecStatus | Gecode::Int::Arithmetic::prop_mult_dom (Space &home, Propagator &p, View x0, View x1, View x2)